# Input preparation ($inp): split up input into lines with a large-enough
# buffer; this is required only to reduce input record size, whcih would
# be a few kilobytes from env:0 (this way it's less than 80 characters). 
#
# Output filtering ($out): append \n to each record and count lines with
# the test tool.
#
# Actual test: splitting with a limited buffer; line 12 should be too long
# to fit.
#
# Note: order of event and stdout is guaranteed: event is sent out before the
# eof from [split]; ${PT} linecount will write output only after eof.

include stdio

aff='[affix suffix="\n"]'
inp='stdin:* | [split sep="\r\n"] | ' + ${aff}
outp=${aff} + '| {${PT} "linecount"} | [affix prefix="stdout: "] |  STDOUT:*'
event:* | [regex pattern="^plumb_split"] | [affix prefix="event: "] | STDOUT:*

# Actual test:
$inp | test=[split sep="\n" maxlen=77 event=1] | $outp


